WaveletReverse.cpp File Reference
`#include "grk_includes.h"`
`#include <algorithm>`
`#include <limits>`
`#include <sstream>`
`#include <hwy/foreach_target.h>`
`#include <hwy/highway.h>`

## Namespaces

namespace | grk
| Copyright (C) 2016-2023 Grok Image Compression Inc.
namespace | grk::HWY_NAMESPACE

## Macros

#define | HWY_TARGET_INCLUDE "wavelet/WaveletReverse.cpp"
#define | HWY_PLL_COLS_53 (2 * Lanes(di))

## Functions

| HWY_BEFORE_NAMESPACE ()
static size_t | grk::HWY_NAMESPACE::hwy_num_lanes (void)
static void | grk::HWY_NAMESPACE::hwy_decompress_v_final_memcpy_53 (const int32_t *buf, const uint32_t height, int32_t *dest, const size_t strideDest)
static void | grk::HWY_NAMESPACE::hwy_decompress_v_parity_even_mcols_53 (int32_t *buf, int32_t *bandL, const uint32_t hL, const size_t strideL, int32_t *bandH, const uint32_t hH, const size_t strideH, int32_t *dest, const uint32_t strideDest)
| Vertical inverse 5x3 wavelet transform for 8 columns in SSE2, or 16 in AVX2, when top-most pixel is on even coordinate.
static void | grk::HWY_NAMESPACE::hwy_decompress_v_parity_odd_mcols_53 (int32_t *buf, int32_t *bandL, const uint32_t hL, const uint32_t strideL, int32_t *bandH, const uint32_t hH, const uint32_t strideH, int32_t *dest, const uint32_t strideDest)
| Vertical inverse 5x3 wavelet transform for 8 columns in SSE2, or 16 in AVX2, when top-most pixel is on odd coordinate.
| HWY_AFTER_NAMESPACE ()

## Macro Definition Documentation

## HWY_PLL_COLS_53

#define HWY_PLL_COLS_53 (2 * Lanes(di))

## HWY_TARGET_INCLUDE

#define HWY_TARGET_INCLUDE "wavelet/WaveletReverse.cpp"

## Function Documentation

## HWY_AFTER_NAMESPACE()

HWY_AFTER_NAMESPACE | ( |  | ) |

## HWY_BEFORE_NAMESPACE()

HWY_BEFORE_NAMESPACE | ( |  | ) |